dpkg-scansources(1)

NAAM
dpkg-scansources - maak Sources indexbestanden

OVERZICHT
dpkg-scansources [optie...] map-binaire-pakketten [override-bestand [padprefix]] > Sources

BESCHRIJVING
dpkg-scansources zoekt in de opgegeven map-binaire-pakketten naar .dsc-bestanden. Die worden gebruikt om een Debian broncode-index te maken, die naar de standaarduitvoer gestuurd wordt.

Als dat opgegeven wordt, wordt het override-bestand gebruikt om de prioriteit in te stellen in het resulterende item in het indexbestand en om de inhoud van het maintainer-veld dat in het .dsc-bestand opgegeven wordt, te vervangen. Het bestand mag gecomprimeerd zijn (sinds dpkg 1.15.5). Zie deb-override(5) voor de indeling van dit bestand. Opmerking: vermits het bestand override door binaire pakketten geïndexeerd wordt en niet door broncodepakketten, stelt zich hier een zeker probleem. De huidige implementatie gebruikt de hoogste prioriteit van alle binaire pakketten die door een .dsc-bestand geproduceerd worden, voor de prioriteit van het broncodepakket en het override-item voor het binaire pakket dat het eerst vermeld wordt in het .dsc-bestand om de informatie over de pakketonderhouder aan te passen. Dit kan veranderen.

Indien het padprefix opgegeven werd, wordt het voorgevoegd bij het veld directory in het gegenereerde broncode-indexbestand. In het algemeen wordt dit gebruikt om er voor te zorgen dat het veld directory het pad bevat vanaf de basis van de hiërarchische structuur van het Debian pakketarchief.

Opmerking: indien u het gegenereerde Sources-bestand wilt gebruiken met apt(8), zult u het wellicht moeten comprimeren met gzip(1) (hetgeen een bestand Sources.gz genereert). apt negeert niet-gecomprimeerde Sources-bestanden tenzij in geval van lokale toegang (d.w.z. pakketbronnen in de vorm van file://).

OPTIES

-n, --no-sort
    Sorteer de index-items niet. Normaal gezien worden ze volgens de naam van het bronpakket geordend.

-e, --extra-override bestand
Zoek in bestand naar bijkomende vervangingen (sinds dpkg 1.15.4; het
    bestand mag gecomprimeerd zijn sinds dpkg 1.15.5). Zie deb-extra-override(5) voor meer informatie over de indeling ervan.

-s, --source-override bestand
    Gebruik bestand als het override-bestand van de broncode (het bestand mag gecomprimeerd zijn sinds dpkg 1.15.5). Als standaard geldt de naam van het override-bestand dat u opgaf, met daaraan .src toegevoegd.

    Het override-bestand voor de broncode heeft een andere indeling dan het override-bestand voor het binaire pakket. Het bevat slechts twee velden die onderling door witruimte gescheiden worden. Het eerste veld bevat de naam van het broncodepakket en het tweede de sectie waartoe het behoort. Lege regels en commentaarregels worden op de normale manier genegeerd. Indien een pakket in beide bestanden voorkomt, heeft het override-bestand van de broncode voorrang bij het instellen van de sectie.

--debug
    Zet debuggen aan.

--help
    Toon info over het gebruik en sluit af.

--version
    Toon de versie en sluit af.

ZIE OOK
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).